return {
	"nvim-neo-tree/neo-tree.nvim",
	dependencies = {
		"nvim-lua/plenary.nvim",
		"nvim-tree/nvim-web-devicons",
		"MunifTanjim/nui.nvim",
	},
	config = function()
		local tree = require("neo-tree")

		tree.setup({
			document_symbols = {
				custom_kinds = {},
			},
			window = {
				width = 30,
				mappings = {
					["l"] = "open",
					["h"] = "close_node",
					["<Right>"] = "open",
					["<Left>"] = "close_node",
				},
			},
		})
		vim.keymap.set("n", "<F2>", "<CMD>Neotree toggle<CR>")
	end,
}
